# $Id: perl-Hdlist.spec,v 1.4 2004/08/08 17:35:39 othauvin Exp $
#
# This spec is part of perl-Hdlist module, modify it from Mandrakelinux CVS

%define version	0.01

%define cvs 1

# Are we creating a rpm from cvs ?
%define cvsver 20040809

# The release
%define rel 2

# The release of the rpm
%if %cvs
    %define release 0.%{cvsver}.%{rel}mdk
%else
    %define release %{rel}mdk
%endif

%define module	Hdlist
%define name	perl-%{module}

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Perl bindings to use rpmlib and manage hdlist files
License:	GPL
Group:		Development/Perl
Source:		%{module}-%{version}.tar.bz2
Url:		http://cvs.mandrakesoft.com/cgi-bin/cvsweb.cgi/soft/perl-Hdlist/
Buildroot:	%{_tmppath}/%{name}-root
BuildRequires: perl-devel >= 5.8.0
BuildRequires: rpm-devel
Requires:	perl

%description
This module provides a perl interface to the rpmlib.

It allows to write scripts to:
  - query rpm headers,
  - query rpm database,
  - build rpm specs,
  - install/uninstall specfiles,
  - check dependencies.

This module is still under development, and is provided for
testing and development purposes only. API may change.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%clean
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%files
%defattr(-,root,root)
%doc ChangeLog README
%doc examples
%_bindir/*
%{perl_vendorarch}/*
%{_mandir}/*/*

%changelog
* Mon Aug 09 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.01-0.20040809.2mdk
- add missing file (/me sucks)

* Mon Aug 09 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.01-0.20040809.1mdk
- cvs 20040809

* Mon Aug 02 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.01-0.20040802.1mdk
- first package
 
* Thu Jul 22 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.01-0.1mdk
- initialize spec
